# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

project_menu_item = items.MenuItem(
    # GENERAL
    _('Project'), 
    reverse('admin:app_list', kwargs={'app_label': 'project'}),
    children=[
        items.MenuItem(_('Project'), '',
            children=[
                items.MenuItem(_('Add Project'), reverse('admin:project_project_add',)),
                items.MenuItem(_('Project List'), reverse('admin:project_project_changelist',) ),
            ]
        ),
    ]
)


register_menu(project_menu_item, 'jmb.project')
